baseURL: https://hugo-toha.github.io

title: "JirR02 Dev"

# Use Hugo modules to add theme
module:
  imports:
  - path: github.com/hugo-toha/toha/v4
  mounts:
  - source: static/files
    target: static/files
  - source: ./node_modules/flag-icons/flags
    target: static/flags
  - source: ./node_modules/@fontsource/mulish/files
    target: static/files
  - source: ./node_modules/katex/dist/fonts
    target: static/fonts

# Manage languages
# For any more details, you can check the official documentation: https://gohugo.io/content-management/multilingual/
languages:
  en:
    languageCode: en
    languageName: English
    title: "JirR02 Dev"
    weight: 1
defaultContentLanguage: en


# Allow raw html in markdown file
markup:
  goldmark:
    renderer:
      unsafe: true
  tableOfContents:
    startLevel: 2
    endLevel: 6
    ordered: false

# At least HTML and JSON are required for the main HTML content and
# client-side JavaScript search
outputs:
  home:
    - HTML
    - RSS
    - JSON

# Enable global emoji support
enableEmoji: true

# Site parameters
params:
  # Background image of the landing page
  background: /images/site/background.jpg

  # Provide logos for your site. The inverted logo will be used in the initial
  # transparent navbar and the main logo will be used in the non-transparent navbar.
  logo:
    main: /images/site/main-logo.png
    inverted: /images/site/main-logo.png
    favicon: /images/site/favicon.png

  # GitHub repo of your site
  gitRepo: https://github.com/hugo-toha/hugo-toha.github.io
  # Default branch of your Git repo
  gitBranch: main

  # Configure the number of section title visible in the top navbar
  topNavbar:
    maxVisibleSections: 5

  # Configure various features of this theme
  features:
    # [Deprecated] Enable dark theme
    # This is a deprecated setting, but has not been removed to maintain backward compatibility
    # If `theme` is set, the `darkMode` setting will be discarded.
    # darkMode:
    #   enable: true

    # Configure theme color settings
    theme:
      enable: true
      services:
        light: true # enable light theme. default "true"
        dark: true # enable dark theme. default "true"
        default: system # can be either light, dark or system. default "system"

    # Enable and configure portfolio
    portfolio:
      enable: true

    # Enable and configure blog posts
    blog:
      enable: true
      showAuthor: true # shows the author of post (defaults true)
      # Share post on different social media
      shareButtons:
        facebook: true
        twitter: true
        linkedin: true
        reddit: true
        whatsapp: true
        email: true
        # tumblr: true
        # pocket: true
        # diaspora: true
        # mastodon: true

    # Enable & configure "Notes" features
    notes:
      enable: false

    # Enable comment feature. There, should be only one of them.
    comment:
      enable: false
      services:
        disqus:
          shortName: toha-example-site
        # valine:
        #   appId: HTV6askWxVo3vOxlqjjaq2hd-MsYXbMMI
        #   appKey: pVrT3C85KGIuk27t07eh6bUC
        #   avatar: retro
        #   placeholder: Share your thought.
        #   lang: en
        #   recordIP: true
        #   enableQQ: true
        # utteranc:
        #   repo: github.com/hugo-toha/hugo-toha.github.io
        #   issueTerm: title
        #   theme: github-light
        # giscus:
        #   repo: your-repo/name
        #   repoID: your-repo-id
        #   category: your-category
        #   categoryID: your-category-id
          # theme: light
          # map: url
          # reaction: 1
          # metadata: 0
          # inputPosition: bottom
          # crossOrigin: anonymous
        # commento:
        #   serverURL: cdn.commento.io
        #   autoInit: true
        #   hideDeleted: false

    # Enable Analytics
    analytics:
      enabled: true
      services:
        # Google Analytics
        google:
          id: G-H4LBG7NDFZ
        # # CounterDev
        # counterDev:
        #   id: <your counterdev id>
        # # GoatCounter
        # goatCounter:
        #   code: <your goat counter code>
        # # Matomo / Piwik
        # matomo:
        #   instance: matomo.example.com
        #   siteId: 1 # Or any other number

    # Enable Support
    support:
      enable: false
      services:
        kofi:
          user: hossainemruz
          text: Tip Me
          textColor: '#f9fafc'
          backgroundColor: '#248aaa'
        # buymeacoffee:
        #   user: <your buymeacoffee.com user>
        #   text: Support me on Buy me a coffee!
        #   info: Buy me a coffee!
        #   color: '#FFDD00'

    # specify whether you want to show Table of Contents in reading page
    toc:
      enable: true

    # Show tags under the post title
    tags:
      enable: true
      on_card: true # enables tags in post cards

    # Specify whether to show flag in the language selector. Default is true.
    flags:
      enable: true
      # # If you want to use different country flag for a language, specify them here.
      # flagOverwrites:
      #   - languageCode: en
      #     countryCode: us

    # Enable this to use `embed-pdf` shortcode.
    embedpdf:
      enable: true

    # Enable this to create flowcharts using shortcodes.
    flowchart:
      enable: true
      services:
        # Uncomment for `mermaid` shortcode.
        mermaid:
          # For config options, see: https://mermaid-js.github.io/mermaid/#/Setup?id=configuration
          theme: forest

    # Enable this to create mathematic expressions using `$$` blocks
    math:
      enable: true
      services:
        # https://katex.org/docs/autorender.html#api for more configurations
        katex:
          delimiters:
            - left: $$
              right: $$
              display: true
            - left: \\[
              right: \\]
              display: true
            - left: $
              right: $
              display: false
            - left: \\(
              right: \\)
              display: false

    # Enable to use custom syntax highlight
    # Please note, Hugo comes with it's own html based syntax highlighter.
    # Your code block will still be syntax highlighted by hugo.
    # For more details: https://gohugo.io/content-management/syntax-highlighting/
    # To disable Hugo's builtin syntax highlight,
    # see: https://gohugo.io/getting-started/configuration-markup#highlight
    # ```
    # # config.yaml
    # markup:
    #   # this disables hugo's syntax highlighting.
    #   codeFences: false
    # ```
    syntaxHighlight:
      enable: true
      services:
        hljs:
          # see: https://highlightjs.readthedocs.io/en/latest/api.html#configure
          noHighlightRe: /^no-highlight$/i

    # Enable to use `video-player` shortcode
    videoPlayer:
      enable: true
      services:
        # convert .js-player class into video player via https://plyr.io/
        # Can play HTML5 Video, Audio, Youtube, Vimeo.
        # For more info on setup: https://github.com/sampotts/plyr#quick-setup
        plyr:
          # options doc: https://github.com/sampotts/plyr#options
          # fullscreen: true
    
    # Enables copy code button
    copyCodeButton:
      enable: true

    # Enable reading time support in post cards and in post pages
    readingTime:
      enable: false
    
    # Number of posts to show to each page. Default is "12"
    pagination:
       maxPostsPerPage: 12


  # Provide footer configuration.
  footer:
    enable: true
    # You can provide your custom footer template using this option.
    # Put your template in "layouts/partials" folder of your repo.
    template: footer.html
    # Show/hide navigation in the footer. Default is "true".
    navigation:
      enable: true
      # show custom menus in the footer
      customMenus: true
    # Show/hide "Contact Me" section in the footer. Default is "true".
    contactMe:
      enable: true
    # Show/hide credentials section in the footer. Default is "true".
    credentials:
      enable: true

    # Show/hide newsletter section in the footer. Default is "true".
    # Currently, it supports "mailchimp".
    newsletter:
      enable: false
      # provider: mailchimp
      # mailchimpURL: https://github.us1.list-manage.com/subscribe/post?u=19de52a4603135aae97163fd8&amp;id=094a24c76e

    # Show/hide disclaimer notice in the footer. Default is "false".
    disclaimer:
      enable: true
